It's incompatibility of authorization MySQL 4.0.x and MySQL 4.1.x
Utilizing files authorization

for MySQL v4.0.x [The php MySQL extension access 'mysql']
libmysql.dll
php_mysql.dll

for MySQL v4.1.x [The php MySQL extension access 'mysqli']
libmysqli.dll
php_mysqli.dll


使用MySQL 4.1.x解決方法:
'''phpMyAdmin'''
open config.inc.php (C:\appserv\www\phpMyAdmin)
On line 73
change
->from: 'mysql';
->to: 'mysqli';
'''PHP'''
open php.ini (C:\windows or C:\winnt)
On line 580
change
->from: extension=php_mysql.dll
->to: extension=php_mysqli.dll
'''restart Apache'''

bojack 發表在 痞客邦 留言(0) 人氣()